Bug 1529099 - [RFE] Users with email address more than 60 characters should be able to login to Satellite GUI
Summary: [RFE] Users with email address more than 60 characters should be able to logi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.2.12
Hardware: All
OS: Linux
medium
low
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-26 10:58 UTC by raju kumar
Modified: 2021-03-11 16:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:39:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9584 0 Normal Closed User email address length has maximum length of 60. 2020-01-21 15:29:02 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description raju kumar 2017-12-26 10:58:13 UTC
1. Proposed title of this feature request - Users with email address more than 60 characters should be able to login to Satellite GUI

2. Who is the customer behind the request?
     Account: Deutsche Bundesbank (Acc No. 5611268)
     TAM customer: no
     SRM customer: no
     Strategic: no

3. What is the nature and description of the request?
  -Email Address with more than 60 characters failed with login to Satellite GUI

4. Why does the customer need this?
  -Customer use email address to login to Satellite WebUI, and have some users 
   with email address more than 60 characters.

5. How would the customer like to achieve this?
http://projects.theforeman.org/projects/foreman/repository/revisions/b6ebaea14c3d38e8e44789f25832d0d71457938a/diff/

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented. 
→ We have to login to Satellite WEBUI using email address more than 60 characters and it should not throw any error.
 
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
http://projects.theforeman.org/projects/foreman/repository/revisions/b6ebaea14c3d38e8e44789f25832d0d71457938a/diff/

8. Does the customer have any specific time-line dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
→ no

9. Is the sales team involved in this request and do they have any additional input? 
→ no

10. List any affected packages or components.
→ no

11. Would the customer be able to assist in testing this functionality if implemented?
→yes

Comment 3 Sanket Jagtap 2018-01-22 09:29:17 UTC
hammer> user info --id 4
Id:                    4
Login:                 iequ6sUi7ycXvPyLSvNiePWos16pPa1gcNfx3xwSdXTzedtKCj6Tpjo6776nuIc71GWJ9S5FS7gBfamjaSBPLn1DmuOQUm
Name:                   
Email:                 iequ6sUi7ycXvPyLSvNiePWos16pPa1gcNfx3xwSdXTzedtKCj6Tpjo6776nuIc71GWJ9S5FS7gBfamjaSBPLn1DmuOQUm@aa.com
Admin:                 yes
Last login:            2018/01/22 09:26:43
Authorized by:         Internal
Effective admin:       yes
Locale:                default
Timezone:              
Description:           
Default organization:  Default Organization
Default location:      Default Location
Roles:                 

User groups:           

Inherited User groups: 

Locations:             
    Default Location
Organizations:         
    Default Organization
Created at:            2018/01/22 09:26:27
Updated at:            2018/01/22 09:26:27


user has 94 characters in username and >94 in email 
Was able to successfully login in WEBUI

Comment 6 errata-xmlrpc 2018-02-21 12:39:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.